polybori::CCallbackWrapper< MemberFuncPtr > Class Template Reference

This template class defines a functional, which wraps operator .*, which is the callback of a dynamic member function wrt. a given object. More...

`#include <CCallbackWrapper.h>`

Inheritance diagram for polybori::CCallbackWrapper< MemberFuncPtr >:

## Public Types

typedef CMemberFunctionTraits < MemberFuncPtr > | traits
| Related types. More...
typedef traits::object_reference | reference
| Reference to object. More...

## Public Member Functions

| CCallbackWrapper (reference value, MemberFuncPtr ptr)
| Constructor. More...
Public Member Functions inherited from polybori::CCallbackFacade< CCallbackWrapper< MemberFuncPtr >, CMemberFunctionTraits< MemberFuncPtr >::result_type, CMemberFunctionTraits< MemberFuncPtr >::argument_type >
CMemberFunctionTraits < MemberFuncPtr >::result_type | operator() (CMemberFunctionTraits< MemberFuncPtr >::argument_typearg) const
| Apply member function pointer to argument. More...

## Friends

class | CCallbackFacade< self, typename traits::result_type, typename traits::argument_type >
| Facade which defines `operator()` needs to access private members. More...

## Detailed Description

### template<class MemberFuncPtr>
class polybori::CCallbackWrapper< MemberFuncPtr >

This template class defines a functional, which wraps operator .*, which is the callback of a dynamic member function wrt. a given object.

A reference of a given object is stored as well as the function pointer. `operator()` does the actual application.

## Member Typedef Documentation

template<class MemberFuncPtr >

typedef traits::object_reference polybori::CCallbackWrapper< MemberFuncPtr >::reference

Reference to object.

template<class MemberFuncPtr >

typedef CMemberFunctionTraits<MemberFuncPtr> polybori::CCallbackWrapper< MemberFuncPtr >::traits

Related types.

## Constructor & Destructor Documentation

template<class MemberFuncPtr >

polybori::CCallbackWrapper< MemberFuncPtr >::CCallbackWrapper | ( | reference | value,
|  | MemberFuncPtr | ptr
| ) |  |

inline

Constructor.

## Friends And Related Function Documentation

template<class MemberFuncPtr >

friend class CCallbackFacade< self, typename traits::result_type,typename traits::argument_type >

friend

Facade which defines `operator()` needs to access private members.

The documentation for this class was generated from the following file:

- CCallbackWrapper.h